#pragma once
#include "IPC.h"
#include "Window.h"
#include <os/IPC.h>

constexpr i16 HAS_NOT_YET_PLEDGED = -1;
constexpr i16 EMPTY_PLEDGE = 0;

struct Client
{
    OwnedPtr<os::IPC::ClientConnection> conn;
    Vector<Window*> windows;
    const bool privileged { false };
    bool should_be_disconnected { false };
    i16 pledges = 0;

    bool update_pledges(i16 pledges);
    bool check_pledge(i16 pledge);

    Client(OwnedPtr<os::IPC::ClientConnection>&& client, i16 pledges);
};
