#!/usr/bin/env bash

source $(dirname $0)/env.sh

cd $LUNA_ROOT

source tools/sources.sh

ALL_OK=1

clang-format --version

for f in ${SOURCES[@]}
do
    clang-format -n $f 2>&1 | tee -a /tmp/clang-format-output | grep -q ^
    RESULT=$?
    if [ "$RESULT" -eq "0" ]
    then
        echo "File $f needs formatting"
        ALL_OK=0
    fi
done

if [ $ALL_OK = "1" ]
then
    echo "All files OK"
    exit 0
fi

cat /tmp/clang-format-output
rm /tmp/clang-format-output

exit 1
